Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl
Class KModuleRuntimeEnvironment

    java.lang.Object
      org.jbpm.runtime.manager.impl.KModuleRuntimeEnvironment

All Implemented Interfaces:
  org.kie.internal.runtime.manager.RuntimeEnvironment

    public class KModuleRuntimeEnvironment

extends Object
implements org.kie.internal.runtime.manager.RuntimeEnvironment

Constructor Summary
`KModuleRuntimeEnvironment()`

Method Summary
`void` | `close()`
`KieSessionConfiguration` | `getConfiguration()`
`Environment` | `getEnvironment()`
`KieBase` | `getKieBase()`
`org.kie.internal.runtime.manager.Mapper` | `getMapper()`
`org.kie.internal.runtime.manager.RegisterableItemsFactory` | `getRegisterableItemsFactory()`
`org.kie.internal.task.api.UserGroupCallback` | `getUserGroupCallback()`
`boolean` | `usePersistence()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KModuleRuntimeEnvironment

    public KModuleRuntimeEnvironment()

Method Detail

### getKieBase

    public KieBase getKieBase()

  Specified by:
    `getKieBase` in interface `org.kie.internal.runtime.manager.RuntimeEnvironment`

### getEnvironment

    public Environment getEnvironment()

  Specified by:
    `getEnvironment` in interface `org.kie.internal.runtime.manager.RuntimeEnvironment`

### getConfiguration

    public KieSessionConfiguration getConfiguration()

  Specified by:
    `getConfiguration` in interface `org.kie.internal.runtime.manager.RuntimeEnvironment`

### usePersistence

    public boolean usePersistence()

  Specified by:
    `usePersistence` in interface `org.kie.internal.runtime.manager.RuntimeEnvironment`

### getRegisterableItemsFactory

    public org.kie.internal.runtime.manager.RegisterableItemsFactory getRegisterableItemsFactory()

  Specified by:
    `getRegisterableItemsFactory` in interface `org.kie.internal.runtime.manager.RuntimeEnvironment`

### getMapper

    public org.kie.internal.runtime.manager.Mapper getMapper()

  Specified by:
    `getMapper` in interface `org.kie.internal.runtime.manager.RuntimeEnvironment`

### getUserGroupCallback

    public org.kie.internal.task.api.UserGroupCallback getUserGroupCallback()

  Specified by:
    `getUserGroupCallback` in interface `org.kie.internal.runtime.manager.RuntimeEnvironment`

### close

    public void close()

  Specified by:
    `close` in interface `org.kie.internal.runtime.manager.RuntimeEnvironment`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.